#include <bits/stdc++.h>
using namespace std;

long long a[2000002];

int main(){

    long long n,ans=0;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    bool ispogolj=false,ispogoll=false;
    for(int i=0;i<n;i++){
        for(int j=1;i+j<n;j++){
            if(a[i]<a[i+j]){
                break;
            }
            //cout<<i<<" "<<i+j<<endl;
            if(a[i]==a[i+j]){
                ans--;
            }
            ans++;
        }
        for(int j=1;i-j>=0;j++){
            if(a[i]<a[i-j]){
                break;
            }
            //cout<<i<<" ,"<<i-j<<endl;
            ans++;
        }
    }
    cout<<ans;

    return 0;
}
